diff mbox series

kbuild: Don't remove link-vmlinux temporary files on exit/signal

Message ID 20210505033527.1282488-1-ak@linux.intel.com (mailing list archive)
State New, archived
Headers show
Series kbuild: Don't remove link-vmlinux temporary files on exit/signal | expand

Commit Message

Andi Kleen May 5, 2021, 3:35 a.m. UTC
Keep them around until they are cleaned up by make clean. This
uses a bit more disk space, but makes it easier to debug any
problems with the kernel link process.

Suggested-by: Masahiro Yamada <masahiroy@kernel.org>
Signed-off-by: Andi Kleen <ak@linux.intel.com>
---
 scripts/link-vmlinux.sh | 14 --------------
 1 file changed, 14 deletions(-)

Comments

Masahiro Yamada May 5, 2021, 5:46 p.m. UTC | #1
On Wed, May 5, 2021 at 12:35 PM Andi Kleen <ak@linux.intel.com> wrote:
>
> Keep them around until they are cleaned up by make clean. This
> uses a bit more disk space, but makes it easier to debug any
> problems with the kernel link process.
>
> Suggested-by: Masahiro Yamada <masahiroy@kernel.org>
> Signed-off-by: Andi Kleen <ak@linux.intel.com>
> ---

Applied to linux-kbuild. Thanks.


>  scripts/link-vmlinux.sh | 14 --------------
>  1 file changed, 14 deletions(-)
>
> diff --git a/scripts/link-vmlinux.sh b/scripts/link-vmlinux.sh
> index 7d112681f332..f4de4c97015b 100755
> --- a/scripts/link-vmlinux.sh
> +++ b/scripts/link-vmlinux.sh
> @@ -320,20 +320,6 @@ cleanup()
>         rm -f .vmlinux.d
>  }
>
> -on_exit()
> -{
> -       if [ $? -ne 0 ]; then
> -               cleanup
> -       fi
> -}
> -trap on_exit EXIT
> -
> -on_signals()
> -{
> -       exit 1
> -}
> -trap on_signals HUP INT QUIT TERM
> -
>  # Use "make V=1" to debug this script
>  case "${KBUILD_VERBOSE}" in
>  *1*)
> --
> 2.25.4
>
diff mbox series

Patch

diff --git a/scripts/link-vmlinux.sh b/scripts/link-vmlinux.sh
index 7d112681f332..f4de4c97015b 100755
--- a/scripts/link-vmlinux.sh
+++ b/scripts/link-vmlinux.sh
@@ -320,20 +320,6 @@  cleanup()
 	rm -f .vmlinux.d
 }
 
-on_exit()
-{
-	if [ $? -ne 0 ]; then
-		cleanup
-	fi
-}
-trap on_exit EXIT
-
-on_signals()
-{
-	exit 1
-}
-trap on_signals HUP INT QUIT TERM
-
 # Use "make V=1" to debug this script
 case "${KBUILD_VERBOSE}" in
 *1*)